IF OBJECT_ID('dbo.sp_fco_upd_procesos_pi') IS NOT NULL
    DROP PROCEDURE dbo.sp_fco_upd_procesos_pi 
GO
CREATE PROCEDURE dbo.sp_fco_upd_procesos_pi
(
    @pch_compania char(4),
    @psi_anio smallint,
    @pti_mes tinyint,
    @pch_sucursal char(10),
    @pbi_procesar bit,
    @pch_tipo_planilla char(1) = 'E'
)
AS
/*************************************************************************/
-- Modulo Fiscal Colombiano 2.0 ADAM V3
-- Descripcion: Cambio de Procesos de Planilla Integrada
-- Autor: Juan Carlos Leguizamon
-- Fecha: Junio 2005
-- Revisiones:
-- JCL 25-AGO-07 Inclusión del campo Tipo de Planilla
/*************************************************************************/
BEGIN
    UPDATE fco_procesos_pi
    SET procesar = @pbi_procesar
    WHERE compania = @pch_compania
      AND anio = @psi_anio
      AND mes = @pti_mes
      AND sucursal = @pch_sucursal
      AND tipo_planilla = @pch_tipo_planilla
END
GO
GRANT EXECUTE ON dbo.sp_fco_upd_procesos_pi TO PUBLIC
GO
